ur_rna.Utilities.swing

## Enum InputAdapter.InputType

- java.lang.Object
- - java.lang.Enum<InputAdapter.InputType>
  - - ur_rna.Utilities.swing.InputAdapter.InputType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<InputAdapter.InputType>
  Enclosing class:
    InputAdapter

      public static enum InputAdapter.InputType
      extends java.lang.Enum<InputAdapter.InputType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Click`
    `Drag`
    `Enter`
    `Exit`
    `KeyDown`
    `KeyTyped`
    `KeyUp`
    `MouseDown`
    `MouseUp`
    `Move`
    `Wheel`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InputAdapter.InputType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static InputAdapter.InputType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Click

          public static final InputAdapter.InputType Click

    - #### Drag

          public static final InputAdapter.InputType Drag

    - #### Enter

          public static final InputAdapter.InputType Enter

    - #### Exit

          public static final InputAdapter.InputType Exit

    - #### KeyDown

          public static final InputAdapter.InputType KeyDown

    - #### KeyTyped

          public static final InputAdapter.InputType KeyTyped

    - #### KeyUp

          public static final InputAdapter.InputType KeyUp

    - #### MouseDown

          public static final InputAdapter.InputType MouseDown

    - #### MouseUp

          public static final InputAdapter.InputType MouseUp

    - #### Move

          public static final InputAdapter.InputType Move

    - #### Wheel

          public static final InputAdapter.InputType Wheel

  - ### Method Detail

    - #### valueOf

          public static InputAdapter.InputType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static InputAdapter.InputType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InputAdapter.InputType c : InputAdapter.InputType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared